## org.apache.catalina.util
Class CustomObjectInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.ObjectInputStream
                  |
                  +--org.apache.catalina.util.CustomObjectInputStream

All Implemented Interfaces:
  java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

public final class CustomObjectInputStream
extends java.io.ObjectInputStream

Custom subclass of `ObjectInputStream` that loads from the class loader for this web application. This allows classes defined only with the web application to be found correctly.

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`CustomObjectInputStream(java.io.InputStream stream, java.lang.ClassLoader classLoader)` Construct a new instance of CustomObjectInputStream

Method Summary
`java.lang.Class` `resolveClass(java.io.ObjectStreamClass classDesc)` Load the local class equivalent of the specified stream class description, by using the class loader assigned to this Context.

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### CustomObjectInputStream

    public CustomObjectInputStream(java.io.InputStream stream,
                                   java.lang.ClassLoader classLoader)
                            throws java.io.IOException

  Construct a new instance of CustomObjectInputStream

Method Detail

### resolveClass

    public java.lang.Class resolveClass(java.io.ObjectStreamClass classDesc)
                                 throws java.lang.ClassNotFoundException,
                                        java.io.IOException

  Load the local class equivalent of the specified stream class description, by using the class loader assigned to this Context.

  Overrides:
    `resolveClass` in class `java.io.ObjectInputStream`
    `java.lang.ClassNotFoundException`
    `java.io.IOException`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.